Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 240307 - WARNING: "autofs_kill_sb" [fs/autofs/autofs.ko] undefined in
WARNING: "autofs_kill_sb" [fs/autofs/autofs.ko] undefined in
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Kent
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-16 09:10 EDT by Prarit Bhargava
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:49:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This show the typo in patch linux-2.6-autofs-fix-panic-on-mount-fail.patch (453 bytes, patch)
2007-05-16 12:26 EDT, Ian Kent
no flags Details | Diff
Patch to correct typo in patch linux-2.6-autofs-fix-panic-on-mount-fail.patch (420 bytes, patch)
2007-05-17 01:01 EDT, Ian Kent
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-07 19:47:37 EST

  None (edit)
Description Prarit Bhargava 2007-05-16 09:10:33 EDT
Description of problem: 

make -j yields:

WARNING: "autofs_kill_sb" [fs/autofs/autofs.ko] undefined!


Version-Release number of selected component (if applicable): kernel-2.6.18-19


How reproducible: 100%


Steps to Reproduce:
1. build kernel
  
Actual results:

WARNING: "autofs_kill_sb" [fs/autofs/autofs.ko] undefined!

Expected results:  Build should be clean.
Comment 1 Prarit Bhargava 2007-05-16 09:20:50 EDT
Ian, I've grep'd the sources for autofs_kill_sb but cannot seem to find it.  I'm
wondering if this was somehow a mispatch/dropped patch on the autofs4 stuff?

P.
Comment 2 Ian Kent 2007-05-16 12:08:47 EDT
(In reply to comment #1)
> Ian, I've grep'd the sources for autofs_kill_sb but cannot seem to find it.  I'm
> wondering if this was somehow a mispatch/dropped patch on the autofs4 stuff?

Is that straight out of CVS or has a patch that's been posted
been added?

Ian

Comment 3 Ian Kent 2007-05-16 12:15:23 EDT
btw, that function is (should be) in fs/autofs/inode.c.

I'll bet I missed a patch for the autofs version 3 module.
I'll check.

Ian
Comment 4 Ian Kent 2007-05-16 12:26:50 EDT
Created attachment 154840 [details]
This show the typo in patch linux-2.6-autofs-fix-panic-on-mount-fail.patch

Found it.
The mistake is quite obvious looking at the patch.
This small patch shows where the typo is.
Should I re-post a corrected patch?

Ian
Comment 7 RHEL Product and Program Management 2007-05-16 13:24:58 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Ian Kent 2007-05-16 13:44:54 EDT
Correction has been posted on rhkernel-list.
Comment 10 RHEL Product and Program Management 2007-05-16 14:01:36 EDT
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.
Comment 11 Ian Kent 2007-05-17 01:01:44 EDT
Created attachment 154892 [details]
Patch to correct typo in patch linux-2.6-autofs-fix-panic-on-mount-fail.patch
Comment 12 Don Zickus 2007-06-12 14:42:36 EDT
in 2.6.18-24.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 15 errata-xmlrpc 2007-11-07 14:49:32 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html

Note You need to log in before you can comment on or make changes to this bug.